summaryrefslogtreecommitdiffstats
path: root/contrib/libucl/tests/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/libucl/tests/run_tests.sh')
-rwxr-xr-xcontrib/libucl/tests/run_tests.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/contrib/libucl/tests/run_tests.sh b/contrib/libucl/tests/run_tests.sh
index 6c7751e..bc26160 100755
--- a/contrib/libucl/tests/run_tests.sh
+++ b/contrib/libucl/tests/run_tests.sh
@@ -37,6 +37,15 @@ if [ $# -gt 2 ] ; then
rm ${TEST_DIR}/generate.out
fi
+if [ $# -gt 3 ] ; then
+ rm /tmp/_ucl_test_schema.out ||true
+ for i in ${TEST_DIR}/schema/*.json ; do
+ _name=`basename $i`
+ printf "running schema test suite $_name... "
+ cat $i | $4 >> /tmp/_ucl_test_schema.out && ( echo "OK" ) || ( echo "Fail" )
+ done
+fi
+
sh -c "xz -c < /dev/null > /dev/null"
if [ $? -eq 0 -a $# -gt 1 ] ; then
echo 'Running speed tests'
OpenPOWER on IntegriCloud